// packages/php-wasm/web-builds/5-2/src/index.ts
import { jspi } from "wasm-feature-detect";
async function getPHPLoaderModule() {
  if (await jspi()) {
    return await import("./jspi/php_5_2.js");
  } else {
    return await import("./asyncify/php_5_2.js");
  }
}
async function getIntlExtensionPath() {
  throw new Error("The intl extension is not available for PHP 5.2.");
}
export {
  getIntlExtensionPath,
  getPHPLoaderModule,
  jspi
};
